it.csi.mddtools.guigen

## Enum TreeSelectionTypes

- java.lang.Object
- - java.lang.Enum<TreeSelectionTypes>
  - - it.csi.mddtools.guigen.TreeSelectionTypes

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TreeSelectionTypes>, org.eclipse.emf.common.util.Enumerator

      public enum TreeSelectionTypes
      extends java.lang.Enum<TreeSelectionTypes>
      implements org.eclipse.emf.common.util.Enumerator

  A representation of the literals of the enumeration 'Tree Selection Types', and utility methods for working with them. Determina il tipo di selezione permessa sull'albero:
  - solo sui nodi foglia
  - solo sui nodi non foglia
  - su tutti i nodi
  See Also:
    `GuigenPackage.getTreeSelectionTypes()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL_NODES` The 'ALL NODES' literal object
    `LEAF_NODES_ONLY` The 'LEAF NODES ONLY' literal object
    `NON_LEAF_NODES_ONLY` The 'NON LEAF NODES ONLY' literal object

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ALL_NODES_VALUE` The 'ALL NODES' literal value
    `static int` | `LEAF_NODES_ONLY_VALUE` The 'LEAF NODES ONLY' literal value
    `static int` | `NON_LEAF_NODES_ONLY_VALUE` The 'NON LEAF NODES ONLY' literal value
    `static java.util.List<TreeSelectionTypes>` | `VALUES` A public read-only list of all the 'Tree Selection Types' enumerators

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TreeSelectionTypes` | `get(int value)` Returns the 'Tree Selection Types' literal with the specified integer value
    `static TreeSelectionTypes` | `get(java.lang.String literal)` Returns the 'Tree Selection Types' literal with the specified literal value
    `static TreeSelectionTypes` | `getByName(java.lang.String name)` Returns the 'Tree Selection Types' literal with the specified name
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation
    `static TreeSelectionTypes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TreeSelectionTypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL_NODES

          public static final TreeSelectionTypes ALL_NODES

      The 'ALL NODES' literal object.
      See Also:
        `ALL_NODES_VALUE`

    - #### LEAF_NODES_ONLY

          public static final TreeSelectionTypes LEAF_NODES_ONLY

      The 'LEAF NODES ONLY' literal object.
      See Also:
        `LEAF_NODES_ONLY_VALUE`

    - #### NON_LEAF_NODES_ONLY

          public static final TreeSelectionTypes NON_LEAF_NODES_ONLY

      The 'NON LEAF NODES ONLY' literal object.
      See Also:
        `NON_LEAF_NODES_ONLY_VALUE`

  - ### Field Detail

    - #### ALL_NODES_VALUE

          public static final int ALL_NODES_VALUE

      The 'ALL NODES' literal value.

      If the meaning of 'ALL NODES' literal object isn't clear, there really should be more of a description here...

      See Also:
        `ALL_NODES`, Constant Field Values

    - #### LEAF_NODES_ONLY_VALUE

          public static final int LEAF_NODES_ONLY_VALUE

      The 'LEAF NODES ONLY' literal value.

      If the meaning of 'LEAF NODES ONLY' literal object isn't clear, there really should be more of a description here...

      See Also:
        `LEAF_NODES_ONLY`, Constant Field Values

    - #### NON_LEAF_NODES_ONLY_VALUE

          public static final int NON_LEAF_NODES_ONLY_VALUE

      The 'NON LEAF NODES ONLY' literal value.

      If the meaning of 'NON LEAF NODES ONLY' literal object isn't clear, there really should be more of a description here...

      See Also:
        `NON_LEAF_NODES_ONLY`, Constant Field Values

    - #### VALUES

          public static final java.util.List<TreeSelectionTypes> VALUES

      A public read-only list of all the 'Tree Selection Types' enumerators.

  - ### Method Detail

    - #### values

          public static TreeSelectionTypes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TreeSelectionTypes c : TreeSelectionTypes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TreeSelectionTypes valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static TreeSelectionTypes get(java.lang.String literal)

      Returns the 'Tree Selection Types' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static TreeSelectionTypes getByName(java.lang.String name)

      Returns the 'Tree Selection Types' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static TreeSelectionTypes get(int value)

      Returns the 'Tree Selection Types' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<TreeSelectionTypes>`